## bluez 4.101

=== debian/changelog ===
bluez (4.101-0ubuntu13.3) trusty-security; urgency=medium

  * SECURITY UPDATE: information disclosure in service discovery
    protocol daemon.
    - debian/patches/CVE-2017-1000250.patch: validate continuation
      request size before sending response.
    - CVE-2017-1000250
  * SECURITY UPDATE: buffer overflow in command line tools
    - debian/patches/CVE-2016-7837.patch: ensure write does not go past
      end of array.
    - CVE-2016-7837

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 11 Sep 2017 18:53:46 -0700

bluez (4.101-0ubuntu13.1) trusty-proposed; urgency=medium

  * Add ssp parameter fix, add a missing parameter entered in agent dbus API.
    Fixed Logitech Bluetooth Keyboard K760, Logitech Bluetooth Keyboard K810,
    HP Bluetooth Keyboard K4000 secure simple pairing failed issue.
    (LP: #1035431)

    backported bluez5 commits:
    upstream commit 546fee067daedc2b7860481aeaebd1771d192dfb
    mgmt: Implement support for Passkey Notify event
    upstream commit 97b930870dcd016b9cdd612e47b832736b4d0c5d
    core: Refactor authentication handling
    upstream commit e86fe268c77017731b792296eea16206918f1852
    agent: Add missing parameter to DisplayPasskey
    upstream commit 6a394b2c7f19b53b630bef2e865f9bc289d4b75c
    agent-api: DisplayPasskey: D-Bus doesn't have a uint8 type

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 04 Sep 2014 13:34:39 -0400

bluez (4.101-0ubuntu13) trusty; urgency=medium

  * debian/rules: Disable pnat, it shouldn't have been compiled in the first
    place; since it's only really useful on Maemo. (LP: #1280584)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 10 Apr 2014 16:10:13 -0400

bluez (4.101-0ubuntu12) trusty; urgency=low

  * debian/patches/13_reset_default_adapter_id.patch: Reset default_adapter_id
    when there is no adapter. (LP: #1303819)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Tue, 08 Apr 2014 10:54:11 +0800

bluez (4.101-0ubuntu11) trusty; urgency=low

  * debian/patches/12_check_device_before_removing_from_devices.patch:
    The power of some Bluetooth device will be cut and the device will be
    removed from the devices list when suspending, so it has to check if
    the device still exists in the devices list. (LP: #1300623)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Wed, 02 Apr 2014 23:53:58 -0400

bluez (4.101-0ubuntu10) trusty; urgency=low

  * debian/patches/telephony_ofono_add_watch.patch: fix telephony-ofono code
    to have the add_watch function not be conditioned out, since it's used.
  * debian/rules: explicitly specify to use ofono a the telephony service. 
  * debian/bluez.dirs: add /var/lib/bluetooth, we need to have it created
    on Ubuntu Touch so that discovery writes cache data for classes, seen
    addresses, etc. (LP: #1234361)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 19 Dec 2013 21:36:00 -0500

bluez (4.101-0ubuntu9) trusty; urgency=medium

  * Use dh-autoreconf for current libtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Dec 2013 01:20:58 -0800

bluez (4.101-0ubuntu8b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 06:59:51 +0000

bluez (4.101-0ubuntu8) raring; urgency=low

  * debian/patches/enable_audio_profiles.patch: refreshed to *really* fix the
    socket API being enabled when it shouldn't as per upstream...

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Dec 2012 11:14:39 -0500

bluez (4.101-0ubuntu7) raring; urgency=low

  * debian/patches/socket_audio.patch: drop patch; PulseAudio has grown support
    for MediaEndpoint and the cohabitation of the socket and dbus APIs does not
    work well in PulseAudio 2.99. Furthermore, the socket API gets dropped in
    the next bluez release, so let's not force a deprecated API enabled now
    that's we have an alternative.
  * debian/patches/enable_audio_profiles.patch: refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 30 Nov 2012 20:58:15 -0500

bluez (4.101-0ubuntu6) quantal; urgency=low

  * debian/rules: add --enable-gatt (and remove the unrecognized configure
    options left over from previous releases). This fixes a regression in the
    support for Low Energy bluetooth devices such as thermometer probes and the
    like. (LP: #1055616)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 28 Sep 2012 17:03:12 -0400

bluez (4.101-0ubuntu5) quantal; urgency=low

  * debian/source_bluez.py: suggest installing bluez-hcidump as a step to get
    hci debugging information. (LP: #652057)
  * debian/control: add bluez-hcidump to Suggests for bluez, since it can be
    useful for debugging bluetooth issues (and suggested by the apport hook).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 15 Aug 2012 14:08:16 -0400

bluez (4.101-0ubuntu4) quantal; urgency=low

  * debian/patches/git-57170b3-fix_network_connect_method.patch: set the correct
    parameters and return values for the org.bluez.Network Connect() method.
    (LP: #1036241)
  * debian/patches/git-2f92669-permit_concurrent_ag_hf.patch: allow AG and HF
    roles to be enabled concurrently; should fix cases where HFP/HSP doesn't
    show in pulseaudio (where the plugin fails to start) (LP: #1026378)
  * debian/patches/git-a66a557-gdbus_missing_flags.patch: upstream converted
    to using GDBus macros, but some flags got lost in the process. Fix them.
  * debian/patches/git-b57c64f-network-null-deref.patch: fix an issue with
    NULL dereferencing when evaluating network interface names/indexes.
  * debian/patches/git-ea793cb-input_io_channel_watches.patch: Ensure input
    IO channel watches are always properly added when channels are connected.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 13 Aug 2012 17:16:30 -0400

bluez (4.101-0ubuntu3) quantal; urgency=low

  * debian/patches/dinovo_edge_keyboard.patch: support diNovo Edge
    keyboard. (LP: #269851)


