=== debian/control ===
Source: bluez
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.97), quilt,
               dh-autoreconf,
               flex,
               bison,
               gstreamer-tools,
               libasound2-dev (>= 1.0.24.1),
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.28),
               libgstreamer0.10-dev (>= 0.10.30),
               libgstreamer-plugins-base0.10-dev (>= 0.10.30),
               libnl-3-dev,
               libsndfile1-dev,
               libusb-dev,
               libcap-ng-dev,
               libudev-dev,
               libreadline-dev,
               check (>= 0.9.8-1.1),
               python3-dev
Vcs-Svn: svn://svn.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
Homepage: http://www.bluez.org
Standards-Version: 3.9.3
XS-Testsuite: autopkgtest

Package: libbluetooth3
Section: libs
Conflicts: libsdp2 (<= 1.5-2)
Replaces: libsdp2 (<= 1.5-2)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Architecture: linux-any
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth3-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, libbluetooth3 (= ${binary:Version})
Description: Library to use the BlueZ Linux Bluetooth stack with debugging symbols
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: libbluetooth-dev
Section: libdevel
Provides: libbluetooth3-dev
Conflicts: libbluetooth-dev, libsdp2-dev (<= 1.5.2), bluez-pan
Replaces: libsdp2-dev (<= 1.5.2)
Depends: libbluetooth3 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: pkg-config
Priority: extra
Architecture: linux-any
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluetooth
Architecture: all
Depends: bluez
Recommends: bluez-alsa, bluez-cups, bluez-gstreamer
Description: Bluetooth support
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, module-init-tools, udev (>= 170-1), lsb-base, dbus, python3-dbus
Suggests: bluez-hcidump
Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), udev (<< 170-1)
Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
Breaks: udev (<< 170-1)
Multi-Arch: foreign
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, bluez (= ${binary:Version}), libbluetooth3-dbg (= ${binary:Version})
Description: Bluetooth tools and daemons (with debugging symbols)
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: bluez-alsa
Replaces: bluez-audio
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Description: Bluetooth ALSA support
 This package contains a driver operate with the ALSA stack.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-gstreamer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Replaces: bluez-audio
Description: Bluetooth GStreamer support
 This package contains a plugin to operate with GStreamer applications.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-cups
Architecture: linux-any
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-pcmcia-support
Architecture: linux-any
Priority: extra
Depends: pcmciautils, ${misc:Depends}
Recommends: setserial
Description: PCMCIA support files for BlueZ 2.0 Bluetooth tools
 This package contains files to enable PCMCIA card services to recognise
 and initialise PCMCIA Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-compat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BlueZ 3.x compatibility binaries
 This package provides the legacy binaries that were reminiscent of the
 BlueZ 3.x pairing methods.  These binaries are not supported, and will
 go away again in the future. The provided binaries are:
 .
 hidd
 dund
 pand

Package: bluez-utils
Depends: bluetooth
Architecture: all
Section: oldlibs
Priority: extra
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

Package: bluez-audio
Depends: bluez-alsa (>= 4.94-3), bluez-gstreamer (>= 4)
Architecture: all
Section: oldlibs
Priority: extra
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.
