=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CONFIGURE_FLAGS := \
	--disable-silent-rules \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--libexec=\$${prefix}/lib/ \
	--enable-static \
	--enable-usb \
	--enable-tools \
	--enable-cups \
	--enable-datafiles \
	--enable-debug \
	--enable-library \
	--enable-monitor \
	--enable-udev \
	--enable-obex \
	--enable-client \
	--enable-systemd \
	--enable-threads \
	--enable-sixaxis \
	--enable-experimental

%:
	dh $@ --with systemd,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installinit:
	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade

override_dh_strip:
	dh_strip -a --dbg-package=bluez-dbg libbluetooth3-dbg

override_dh_systemd_enable:
	dh_systemd_enable -pbluez bluetooth.service

override_dh_systemd_start:
	dh_systemd_start -pbluez --restart-after-upgrade bluetooth.service

override_dh_auto_test:
	# disable
