## bluez 5.35

=== debian/changelog ===
bluez (5.35-0ubuntu2) wily; urgency=medium

  * Add 0001-systemd-Check-if-bluetooth-is-supported-in-the-kerne.patch:
    bluetooth.service: Check if bluetooth is supported in the kernel, to avoid
    failing package installation on a kernel without bluetooth support.
    (LP: #1506774)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Oct 2015 12:27:06 +0200

bluez (5.35-0ubuntu1) wily; urgency=medium

  * New upstream version 
    (include mostly bugfixes and a new option off by default)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Oct 2015 10:06:16 +0200

bluez (5.34-0ubuntu1) wily; urgency=medium

  * New upstream version, 
    backported some of the debian packaging improvements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2015 15:39:52 +0200

bluez (5.33-1) unstable; urgency=medium

  * Update to 5.33.
  * Remove patches/fix_ftbfs_with_c99.patch.
  * Update patches/bluetooth.conf.patch and
    patches/change_path_of_hogsuspend.patch.
  * Update libbluetooth3.symbols.
  * Update control.
    - Bumped Standards-Version to 3.9.6.
  * Add manpage of gatttool. (Closes: #786489)
  * Add bluemoon, hex2hcd and mpris-proxy to bluez. (Closes: #780015)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Aug 2015 20:59:23 +0900

bluez (5.33-0ubuntu4) wily; urgency=medium

  * Really have bluez Conflict/Replace bluez-alsa this time.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sat, 15 Aug 2015 10:07:31 -0400

bluez (5.33-0ubuntu3) wily; urgency=medium

  * debian/control: add Conflicts/Replaces for bluez-alsa, ALSA support was
    dropped in BlueZ 5.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Aug 2015 10:34:46 -0400

bluez (5.33-0ubuntu2) wily; urgency=medium

  * debian/tests/bluez_response:
    - Stop setting up private D-BUS. An autopkgtest must test what's
      installed, including the real system bus.
    - Stop calling bluetoothd (which hangs in 5.x, as it doesn't fork), and
      just call "service bluetooth start" to actually test our packaged
      startup scripts.
  * debian/tests/control: Drop unused Python 2 and GI dependencies.
  * debian/tests/control: Add "isolation-container", this shouldn't be
    attempted in a schroot.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 11:10:42 +0200

bluez (5.33-0ubuntu1) wily; urgency=medium

  * New upstream version, drop patch included in the update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 12 Aug 2015 15:26:11 +0200

bluez (5.23-2ubuntu1~ppa1) wily; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Upstart support:
      o Add debian/bluez.bluetooth.upstart and drop
        debian/bluez.bluetooth.default.
    - Add debian/source_bluez.py Apport package hook. Install in
      debian/bluez.install.
    - debian/bluez.dirs: add /var/lib/bluetooth, we need to have it created
      on Ubuntu Touch so that discovery writes cache data.
    - debian/patches/migrate_scripts_python3.patch: migrate test scripts to
      python3.
    - debian/control: enable autopkgtest tests; add XS-Testsuite. 
    - debian/tests/control, debian/tests/bluez_response: add new tests for
      bluez adapter and device support.
  * debian/tests/bluez_response: update paths to the new location of the test
    scripts.
  * debian/patches/migrate_scripts_python3.path: update patch again to cover
    all the test scripts and fix more 2-to-3 issues.
  * debian/bluez.bluetooth.upstart: remove the expect clause; bluetoothd does
    not fork anymore.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 17 Nov 2014 15:49:34 -0500

bluez (4.101-0ubuntu20) utopic; urgency=medium

  * debian/patches/telephony_ofono_disable_inband_default.patch:
    - Disabling default inband ringtone option on telephony-ofono,
      as that is not yet supported by our userspace (LP: #1363046)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 09 Oct 2014 00:18:38 -0300

bluez (4.101-0ubuntu19) utopic; urgency=medium

  * debian/patches/ssp_parameter.patch:
    Add ssp parameter fix, add a missing parameter entered in agent dbus API.
    Fixed Logitech Bluetooth Keyboard K760, Logitech Bluetooth Keyboard K810,
    HP Bluetooth Keyboard K4000 secure simple pairing failed issue.
    (LP: #1035431, #1291756)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Tue, 12 Aug 2014 09:47:45 -0400

bluez (4.101-0ubuntu18) utopic; urgency=medium

  * debian/patch/series: includding missing patch for sco workaround

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 22 Jul 2014 14:10:23 -0300

bluez (4.101-0ubuntu17) utopic; urgency=medium

  * debian/patches/migrate_scripts_python3.patch: migrate test scripts to
    python3.
  * debian/rules: add the list-devices tests script to the test scripts to
    be installed with the bluez binary.
  * debian/patches/sco_watch_hup_workaround_mako.patch: watch for HUP on the
    SCO channel to get notified of the remote disconnection. This seems to be
    required by Nexus devices.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Jul 2014 12:26:12 -0400

bluez (4.101-0ubuntu16) utopic; urgency=medium

  * debian/patches/avrcp.patch
    Fix for de-reference pdu parameter in AVRCP code.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 03 Jul 2014 10:37:41 -0400

bluez (4.101-0ubuntu15) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:39:11 +0100

bluez (4.101-0ubuntu14) utopic; urgency=medium

  * Remove obsolete and unused udev helpers for bluetoothd and hid2hci.
  * Enable systemd service file on installation. This hooks up the service in
    bluetooth.target which is activated by systemd when bluetooth hardware is
    attached. (Closes: #729808, LP: #1312032)
    - Add Build-Depends on dh-systemd.
    - Bump Build-Depends on cdbs to (>= 0.4.122) to get dh-systemd support.

