=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bluez
 Section: admin
 Priority: optional
-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	autotools-dev,
-	 dh-autoreconf,
+	dh-autoreconf,
 	flex,
 	bison,
 	libdbus-glib-1-dev,
@@ -17,11 +18,12 @@
 	libical-dev,
 	check (>= 0.9.8-1.1),
 	systemd,
-	dh-systemd (>= 1.5) 
+	dh-systemd (>= 1.5)
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
 Homepage: http://www.bluez.org
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 
 Package: libbluetooth3
 Section: libs
@@ -73,8 +75,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	kmod, udev (>= 170-1), lsb-base, dbus
 Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3),
-	bluez-audio (<= 3.36-3), udev (<< 170-1)
-Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
+	bluez-audio (<= 3.36-3), udev (<< 170-1), bluez-alsa
+Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), bluez-alsa
 Breaks: udev (<< 170-1)
 Multi-Arch: foreign
 Description: Bluetooth tools and daemons
