## bluez 5.37

=== debian/changelog ===
bluez (5.37-0ubuntu5.3) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in parse_line function
    - debian/patches/CVE-2016-7837.patch: make sure we don't write past the
      end of the array in tools/csr.c.
    - CVE-2016-7837
  * SECURITY UPDATE: privilege escalation via improper access control
    - debian/patches/CVE-2020-0556-pre1.patch: use .accept and .disconnect
      instead of attio in profiles/input/hog.c, src/device.c, src/device.h.
    - debian/patches/CVE-2020-0556-1.patch: HOGP must only accept data from
      bonded devices in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-2.patch: HID accepts bonded device
      connections only in profiles/input/device.c, profiles/input/device.h,
      profiles/input/input.conf, profiles/input/manager.c.
    - debian/patches/CVE-2020-0556-3.patch: attempt to set security level
      if not bonded in profiles/input/hog.c.
    - debian/patches/CVE-2020-0556-4.patch: add LEAutoSecurity setting to
      input.conf in profiles/input/device.h, profiles/input/hog.c,
      profiles/input/input.conf, profiles/input/manager.c.
    - CVE-2020-0556

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Mar 2020 08:39:08 -0400

bluez (5.37-0ubuntu5.1) xenial-security; urgency=medium

  * SECURITY UPDATE: information disclosure in service discovery
    protocol daemon.
    - debian/patches/CVE-2017-1000250.patch: validate continuation
      request size before sending response.
    - CVE-2017-1000250

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 11 Sep 2017 18:35:28 -0700

bluez (5.37-0ubuntu5) xenial; urgency=medium

  [Tony Espy ]
  * debian/control: fixup 'Architecture:' and 'Depends:' for bluez-
    tests, as it now includes binary commands and thus can no
    longer be 'Architecture: all'.

 -- Simon Fels <simon.fels@canonical.com>  Tue, 01 Mar 2016 16:17:24 +0100

bluez (5.37-0ubuntu4) xenial; urgency=medium

  * debian/patches/0001-profiles-audio-add-big-endian-structure-definition-f.patch:
    - Fix the build on big endian architectures.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 11 Feb 2016 14:47:18 +0100

bluez (5.37-0ubuntu3) xenial; urgency=medium

  * debian/patches/0004-obexd-enable-ebook-backend-conditionally.patch:
    - Fix FBTS on vivid

 -- Simon Fels <simon.fels@canonical.com>  Thu, 04 Feb 2016 12:59:23 +0100

bluez (5.37-0ubuntu2) xenial; urgency=medium

  [ Tony Espy ]
  * New upstream version
  * Add 0001-obexd-plugins-import-PBAP-ebook-support-from-upstrea.patch:
    - Pull in obexd ebook plugin from upstream git.
  * Add 0001-obexd-plugins-port-ebook-support-to-the-latest-EDS.patch
  * Add 0002-hostname-handle-chassis-type-handset.patch
  * Add 0003-tools-mpris-proxy-allow-user-to-specify-different-mp.patch:
    - Allow use of an alternate DBus name by MPRIS if 'org.mpris' is not
      available.
  * Add 0004-obexd-enable-ebook-backend-conditionally.patch:
    - Add a new configuration switch for EDS support.
  * Add 0005-audio-media-return-empty-string-when-player-name-is-.patch:
    - If the name for the player is set as NULL we will crash later on
      so taking a valid default is required.
  * Update bluez.install to include new btattach binary and manpage.
  * Update rules:
        - enable obex phonebook-ebook by default
        - add enable-experimental to build and install additional
          tools/test scripts
  * Update control:
    - add libebook-dev (>= 3.12) to Build-Depends
    - rename bluez-test-scripts to bluez-tests to reflect it does not only
      contain scripts but more utilities which can be used for wider testing
      of the BlueZ stack.

  [ Simon Fels ]
  * debian/control:
    - Point to correct Vcs used for bluez packaging

 -- Simon Fels <simon.fels@canonical.com>  Wed, 03 Feb 2016 10:36:16 +0100

bluez (5.36-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * 0001-systemd-Check-if-bluetooth-is-supported-in-the-kerne.patch:
   - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Nov 2015 13:57:48 +0100
