=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
 	libical-dev,
 	check (>= 0.9.8-1.1),
 	systemd,
-	dh-systemd (>= 1.5)
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
+	dh-systemd (>= 1.5),
+	libebook1.2-dev (>= 3.12)
+Vcs-Bzr: lp:~bluetooth/bluez/ubuntu
+Vcs-Browser: https://code.launchpad.net/~bluetooth/bluez/ubuntu
 Homepage: http://www.bluez.org
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
@@ -140,11 +141,14 @@
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
 
-Package: bluez-test-scripts
-Architecture: all
-Depends: ${misc:Depends}
-Description: BlueZ test scripts
- This package contains test scripts for using BlueZ.
+Package: bluez-tests
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: bluez-test-scripts
+Conflicts: bluez-test-scripts
+Provides: bluez-test-scripts
+Description: BlueZ test tools and scripts
+ This package contains test tools and scripts used for testing BlueZ.
  .
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
