=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	--enable-systemd \
 	--enable-threads \
 	--enable-sixaxis \
-	--enable-experimental
+	--enable-experimental \
+	--enable-phonebook-ebook
 
 %:
 	dh $@ --with systemd,autoreconf
@@ -31,6 +32,9 @@
 
 override_dh_installinit:
 	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade
+
+override_dh_install:
+	dh_install --list-missing
 
 override_dh_strip:
 	dh_strip -a --dbg-package=bluez-dbg libbluetooth3-dbg
