=== debian/tests/control ===
Tests: bluez_response
Depends: python3-aptdaemon.test, python3-dbus, bluez, bluez-test-scripts
Restrictions: needs-root, isolation-container
