## bluez 5.41

=== debian/changelog ===
bluez (5.41-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:58:53 +0000

bluez (5.41-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2016 22:39:37 -0400

bluez (5.41-0ubuntu1) yakkety; urgency=medium

  * New upstream version

 -- Konrad Zapałowicz <konrad.zapalowicz@canonial.com>  Tue, 21 Jun 2016 10:21:22 +0200

bluez (5.40-0ubuntu2) UNRELEASED; urgency=medium

  * debian/50-bluetooth-hci-auto-poweron.rules:
    - Get rid of legacy udev rule to power on bluetooth controllers on
      startup. Using hciconfig for that is the legacy way and will lead
      to different problems as the kernel side stack wont initialize
      all needed subsystems when used. BlueZ introduced a replacement
      for this with 5.36 which basically tells the bluetoothd through
      a config option to turn on all found Bluetooth controllers by
      default. With changing this there should be no change in terms
      of functionality.

 -- Simon Fels <simon.fels@canonical.com>  Wed, 02 Mar 2016 08:20:11 +0100

bluez (5.40-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream version

 -- Konrad Zapałowicz <konrad.zapalowicz@canonial.com>  Tue, 21 Jun 2016 10:21:22 +0200
